play.libs

## Class F.E5<A,B,C,D,E>

- java.lang.Object
- - play.libs.F.E5<A,B,C,D,E>

Enclosing class:
  F

    public static class F.E5<A,B,C,D,E>
    extends java.lang.Object

### Field Summary

Fields
`F.Option<A>` `_1`
`F.Option<B>` `_2`
`F.Option<C>` `_3`
`F.Option<D>` `_4`
`F.Option<E>` `_5`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <A,B,C,D,E> F.E5<A,B,C,D,E>` `_1(A value)`
`static <A,B,C,D,E> F.E5<A,B,C,D,E>` `_2(B value)`
`static <A,B,C,D,E> F.E5<A,B,C,D,E>` `_3(C value)`
`static <A,B,C,D,E> F.E5<A,B,C,D,E>` `_4(D value)`
`static <A,B,C,D,E> F.E5<A,B,C,D,E>` `_5(E value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _1

    public final F.Option<A> _1

#### _2

    public final F.Option<B> _2

#### _3

    public final F.Option<C> _3

#### _4

    public final F.Option<D> _4

#### _5

    public final F.Option<E> _5

### Method Detail

#### _1

    public static <A,B,C,D,E> F.E5<A,B,C,D,E> _1(A value)

#### _2

    public static <A,B,C,D,E> F.E5<A,B,C,D,E> _2(B value)

#### _3

    public static <A,B,C,D,E> F.E5<A,B,C,D,E> _3(C value)

#### _4

    public static <A,B,C,D,E> F.E5<A,B,C,D,E> _4(D value)

#### _5

    public static <A,B,C,D,E> F.E5<A,B,C,D,E> _5(E value)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`